package cn.com.victorysoft.business.sys.dao;

import cn.com.victorysoft.business.sys.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysDictDao {

    List<SysFlag> selectByCategory(String categoryCode);

    SysFlag selectByPrimaryKey(@Param("categoryCode") String categoryCode, @Param("flagCode") String flagCode);

    List<WellType> selectWellType();

    List<RodDevicePump> selectRodDevicePump();

    List<RodDeviceRod> selectRodDeviceRod();

    List<RodDeviceSucker> selectRodDeviceSucker();

    List<RodDeviceTube> selectRodDeviceTube();
}
